package art;

import java.awt.Color;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.GeneralPath;
import java.io.Serializable;
import java.util.Hashtable;
import java.util.Vector;

public class CanvSave implements Serializable, Cloneable {

	Vector<Vector<Ellipse2D.Double[]>> vertice;
	Vector<Vector<Integer>> moveT;
	Vector<GeneralPath> shape;
	Vector<Vector<GeneralPath>> layer;
	Vector<Ellipse2D.Double> arm;
	Vector<Vector<Ellipse2D.Double>> armatures;
	Vector<Color> color;
	Vector<BasicStroke> stroke;
	Vector<Ellipse2D.Double> joint;
	Vector<Boolean> fill;
	Hashtable<String, Vector<Vector<Vector<Point2D[]>>>> animV;
	Hashtable<String, Vector<Vector<Shape>>> anim;
	Hashtable<String, Vector<Vector<Boolean>>> animF;
	Hashtable<String, Vector<Vector<BasicStroke>>> animBS;
	Hashtable<String,Vector<Vector<Color>>> animC;
	Hashtable<String, double[]> transform;

	String armS[];
	String animS[];
	String jointS[];
	
	public CanvSave(Vector<Vector<Ellipse2D.Double[]>> vertice,Vector<Vector<Integer>> moveT ,Vector<GeneralPath> shape ,Vector<Vector<GeneralPath>> layer
			,Vector<Ellipse2D.Double> arm, Vector<Vector<Ellipse2D.Double>> armatures,Vector<Color> color, Vector<BasicStroke> stroke, Vector<Ellipse2D.Double> joint,Vector<Boolean> fill 
			,Hashtable<String, Vector<Vector<Shape>>> anim, Hashtable<String, Vector<Vector<Boolean>>> animF, Hashtable<String, Vector<Vector<BasicStroke>>> animBS,
			Hashtable<String,Vector<Vector<Color>>> animC,  Hashtable<String, double[]> transform, String[] armS, String[] animS, String[] jointS, Hashtable<String, Vector<Vector<Vector<Point2D[]>>>> animV) {
		
		this.vertice = vertice;
		this.moveT=moveT;
		this.shape=shape;
		this.layer=layer;
		this.arm=arm;
		this.armatures=armatures;
		this.color=color;
		this.stroke=stroke;
		this.joint=joint;
		this.fill=fill;
		this.anim=anim;
		this.animF = animF;
		this.animBS = animBS;
		this.animC = animC;
		this.transform = transform;
		this.armS = armS;
		this.animS = animS;
		this.jointS = jointS;
		this.animV = animV;
	}

}
